Bug 1355650 (CVE-2016-6197) - CVE-2016-6197 kernel: overlayfs: missing upper dentry verification before unlink and rename
Summary: CVE-2016-6197 kernel: overlayfs: missing upper dentry verification before unl...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-6197
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1258556 1341795 1355651 1359019 1359021 1359022 1359023 1359024 1359025 1360155
Blocks: 1355693
TreeView+ depends on / blocked
 
Reported: 2016-07-12 07:26 UTC by Martin Prpič
Modified: 2019-09-29 13:52 UTC (History)
30 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that the unlink and rename functionality in overlayfs did not verify the upper dentry for staleness. A local, unprivileged user could use the rename syscall on overlayfs on top of xfs to panic or crash the system.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:56:11 UTC


Attachments (Terms of Use)

Description Martin Prpič 2016-07-12 07:26:15 UTC
It was found that the unlink and rename functionality in overlayfs did not verify the upper dentry for staleness. A local, unprivileged user could use the rename syscall on overlayfs on top of xfs to crash the system.

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=11f3710417d026ea2f4fcf362d866342c5274185

CVE assignment:

http://seclists.org/oss-sec/2016/q3/42

Comment 1 Martin Prpič 2016-07-12 07:26:57 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1355651]

Comment 2 Martin Prpič 2016-07-12 14:01:08 UTC
Acknowledgments:

Name: CAI Qian (Red Hat)

Comment 3 💾 Wade Mealing 💾 2016-07-22 05:40:24 UTC
Statement: 

This issue is not present in the Linux kernel packages as shipped with Red Hat Enterprise Linux versions 5 and 6.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and MRG-2. Future Linux kernel updates for the respective releases may address this issue.


Note You need to log in before you can comment on or make changes to this bug.